<?PHP
#
#   FILE: Developer.php
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2014 Internet Scout Project
#   http://scout.wisc.edu/
#

if (!CheckAuthorization(PRIV_SYSADMIN)) {  return;  }

$MyPlugin = $GLOBALS["G_PluginManager"]->GetPluginForCurrentPage();
if (!$MyPlugin->ConfigSetting("EnableDeveloper")) { CheckAuthorization(FALSE); }

global $AF;

if (isset($_GET["Update"]))
{
    $AF->SignalEvent("BROWSCAP_FORCE_UPDATE", array("") );
    $AF->SetJumpToPage("P_BrowserCapabilities_Developer");
}
else
{
    global $H_BrowserData, $H_LastUpdate;
  
    $H_BrowserData = $AF->SignalEvent("BROWSCAP_GET_BROWSER",
        array(NULL, TRUE) );

    $H_LastUpdate = $AF->SignalEvent("BROWSCAP_GET_UPDATE_TIME");
}
